Do all userstyles styles now require webextensions?

Support and discussions for the x86/x64 Linux version of Pale Moon.

Moderators: trava90, satrow

Lew Rockwell Fan
Moonbather
Moonbather
Posts: 73
Joined: Wed, 14 Jun 2017, 15:20

Do all userstyles styles now require webextensions?

Unread postby Lew Rockwell Fan » Wed, 09 May 2018, 16:23

I installed Stylish 2.1.1 from Mozilla (for the first time on this particular installation) in PM 27.9.1 & tried to install a dark youtube style and tried more than a dozen. After the first 5 or 6 failed because they all required webExtensions, I concentrated on ones with an older "last revision" date, and installed some from 2012 & 2013, but they had the same problem, which totally puzzles me. Is it no longer possible to use Stylish?
Last edited by Lew Rockwell Fan on Wed, 09 May 2018, 17:37, edited 2 times in total.

Artemis3
Hobby Astronomer
Hobby Astronomer
Posts: 15
Joined: Mon, 22 Jun 2015, 18:01
Location: Somewhere

Re: Do all userstyles styles now require webextensions?

Unread postby Artemis3 » Sun, 13 May 2018, 14:38

It is not Stylish (or the styles) that are broken, but some code change they made to the userstyles.org page.

The add-on downloaded from userstyles.org could not be installed because Pale Moon does not support WebExtensions.

When you get this notification (nag), refresh the page right there and the (style) install popup comes up.

Contrary to what the notification appears to suggest, the styles have not changed, they do not require WebExtensions.
Stylish 2.1.1 is still working with Palemoon.

Could someone make a style or greasemonkey script to filter out the code that shows that silly notification from userstyles.org? To restore the normal behavior of that page without needing to forcibly refresh everytime you want to add a new style...

User avatar
Thehandyman1957
Board Warrior
Board Warrior
Posts: 1535
Joined: Tue, 19 May 2015, 02:26
Location: Arizona U.S.

Re: Do all userstyles styles now require webextensions?

Unread postby Thehandyman1957 » Sun, 13 May 2018, 23:32

I can confirm that it works for me using "Stylish 2.0.6" and I use
Screenshot - 5_13_2018 , 4_31_39 PM.png

And it works great with Youtube. :thumbup:
"If any man's money can be taken by a so-called government, without his own personal consent, all his other rights are taken with it; for with his money the government can, and will, hire soldiers to stand over him, compel him to submit to its arbitrary will, and kill him if he resists." -- Lysander Spooner

jack7
New to the forum
New to the forum
Posts: 1
Joined: Sun, 13 May 2018, 20:23

Re: Do all userstyles styles now require webextensions?

Unread postby jack7 » Mon, 14 May 2018, 08:17

I'll try that version if available but this one I have (2.1.1) won't install when I click "Install" buttons.

User avatar
Thehandyman1957
Board Warrior
Board Warrior
Posts: 1535
Joined: Tue, 19 May 2015, 02:26
Location: Arizona U.S.

Re: Do all userstyles styles now require webextensions?

Unread postby Thehandyman1957 » Mon, 14 May 2018, 17:58

If you right click on the download button and select "save link as" it should download to your computer.

Then just drag and drop it on your extensions page and it should install.

If you still have problems, let me know and I will PM you the one I have. ;)
"If any man's money can be taken by a so-called government, without his own personal consent, all his other rights are taken with it; for with his money the government can, and will, hire soldiers to stand over him, compel him to submit to its arbitrary will, and kill him if he resists." -- Lysander Spooner

DarknessStorm
Newbie
Newbie
Posts: 6
Joined: Sun, 25 Jun 2017, 04:49

Re: Do all userstyles styles now require webextensions?

Unread postby DarknessStorm » Wed, 06 Jun 2018, 14:29

neither refreshing page nor right click and save as works for me.
refreshing page just gives nothing.
save as - gives only html page on my hard drive

User avatar
Lootyhoof
Themeist
Themeist
Posts: 1059
Joined: Thu, 09 Feb 2012, 23:35
Location: United Kingdom

Re: Do all userstyles styles now require webextensions?

Unread postby Lootyhoof » Wed, 06 Jun 2018, 18:01

The change was on the userstyles.org side - which only looks for the Chrome extension now.

I've made a change to Stylish to accomodate this, which you can find here (click the green "Clone or download" - "Download ZIP" - and rename the .zip to .xpi then drag into the browser):

https://github.com/Lootyhoof/stylish

I may fork this going forward (i.e. rebrand/place on our add-ons site), but at the moment I'm busy with other things (namely, getting all our themes updated for Pale Moon 28 - then looking at some of my other extensions...).

The exact change I made for those curious is here.

Hope this helps.

DarknessStorm
Newbie
Newbie
Posts: 6
Joined: Sun, 25 Jun 2017, 04:49

Re: Do all userstyles styles now require webextensions?

Unread postby DarknessStorm » Thu, 07 Jun 2018, 05:50

Thanks for not abandoning stylish. But when i try to drag and drop the .xpi - browser gives me error "this addon cann't be installed because it's damaged" (i use palemoon 27.8.3 x64)
Last edited by DarknessStorm on Thu, 07 Jun 2018, 05:50, edited 2 times in total.

User avatar
SpockFan02
Lunatic
Lunatic
Posts: 446
Joined: Sun, 24 Sep 2017, 16:35

Re: Do all userstyles styles now require webextensions?

Unread postby SpockFan02 » Fri, 08 Jun 2018, 01:22

DarknessStorm wrote:Thanks for not abandoning stylish. But when i try to drag and drop the .xpi - browser gives me error "this addon cann't be installed because it's damaged" (i use palemoon 27.8.3 x64)
Yes, it tells me that it appears to be corrupt. You need to un-zip it, and then re-zip all of the files *without a folder around them*. Then make it a .xpi, and install.

DarknessStorm
Newbie
Newbie
Posts: 6
Joined: Sun, 25 Jun 2017, 04:49

Re: Do all userstyles styles now require webextensions?

Unread postby DarknessStorm » Sat, 09 Jun 2018, 06:46

great, now it works)
Last edited by DarknessStorm on Sat, 09 Jun 2018, 06:47, edited 1 time in total.

User avatar
SpockFan02
Lunatic
Lunatic
Posts: 446
Joined: Sun, 24 Sep 2017, 16:35

Re: Do all userstyles styles now require webextensions?

Unread postby SpockFan02 » Sat, 09 Jun 2018, 06:57

Wonderful! :thumbup:

Lew Rockwell Fan
Moonbather
Moonbather
Posts: 73
Joined: Wed, 14 Jun 2017, 15:20

Re: Do all userstyles styles now require webextensions?

Unread postby Lew Rockwell Fan » Sat, 16 Jun 2018, 19:57

My apologies for losing track of this. Not sure how I managed to edit the question AFTER the first answer without realizing there was an answer. Thank you, all. I've been getting along pretty well with just PM's native color & font setttings plus the toggle fonts and colors extension. But it ain't perfect. Now I'll try playing with Stylish again.
Last edited by Lew Rockwell Fan on Sat, 16 Jun 2018, 19:58, edited 1 time in total.

User avatar
Lootyhoof
Themeist
Themeist
Posts: 1059
Joined: Thu, 09 Feb 2012, 23:35
Location: United Kingdom

Re: Do all userstyles styles now require webextensions?

Unread postby Lootyhoof » Sat, 16 Jun 2018, 22:07

I fully forked Stylish now, and it's available here:

https://addons.palemoon.org/addon/stylem/

Those that installed it before should automatically update. Please make sure Stylish is disabled or removed first though.


Return to “Pale Moon for Linux”

Who is online

Users browsing this forum: No registered users and 10 guests